Update Existing Sections in a Policy

PUT /pcas/v3/policy/section/control/technology/evaluation/

With this API, you can update evaluation fields for technology associated with a specified control within a policy section. The following evaluation fields can be updated:

Supporting Operators and Cardinalities are as follows:

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy for which you want to update
technology evaluation fields.
sectionNumber={value} Required Integer The section number for which you want to update
technology evaluation fields.
controlId={value} Required Integer The ID of the control within policy section for which
you want to update technology evaluation fields.
technologyId={value} Required Integer Eneter a valid technology ID for which you want to update
technology evaluation fields.
Evaluate={value} Optional String Enter the evaluate data points to be updated:
op (Operator), v (Value), fv (Fixed Values) can be enabled or disabled, CD (Cardinalities), and remediation.
remediation={value} Optional String Enter the Remediation to be updated.

Sample - Update technology evaluate data for control and policySample - Update technology evaluate data for control and policy

API Request

curl -X 'PUT' \
'<qualys_base_url>/pcas/v3/policy/section/control/technology/evaluation'
\
-H 'accept: */*' \
-H 'Authorization: Bearer <Auth Token>' \
-H 'Content-Type: application/json' \
-d '{
"policyId": 5656121,
"sectionNumber": 2,
"controlId": 1114,
"technologyId": 25,
"evaluate": {
"dp": {
"k": "secman.network.www-apache",
"v": [
"3",
"5"
],
"description": "The following List Integer value <B>X</B> indicates whether or not this host'\''s <B>Apache webserver</B> service is operational. When enabled for multiuser operation (console login only) the RUNLEVEL should be <B>3</B>; when enabled for multiuser operation
(console + GUI login), the RUNLEVEL should be <B>5</B>.","cd": "is contained in","op": "xeq",
"fv": [
{
"value": "161803399999999",
"set": "1",
"description": "Service disabled"
},
{
"value": "314159265358979",
"set": "1",
"description": "Service not found"
}
]
}
},
"remediation": "Remediation text to be updated"
} '

XML Output

204


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.